%global longcommit 6bb085f5704dd4c3841c79504f2aed2228e6d76a
%global watchdog_timeout_default 5

Summary:       Storage-based death
Name:          sbd
License:       GPLv2+
Version:       1.5.1
Release:       3%{?dist}
Url:           https://github.com/Clusterlabs/%{name}
Source0:       %{url}/archive/%{longcommit}/%{name}-%{longcommit}.tar.gz
Patch3000:     0001-Refactor-sbd-md-alloc-de-alloc-reverse-order-in-slot.patch

BuildRequires: autoconf automake libuuid-devel glib2-devel libaio-devel
BuildRequires: corosync-devel pacemaker-libs-devel libtool libuuid-devel libxml2-devel pkgconfig make systemd
%{?systemd_requires}

%description
This package contains the storage-based death functionality.

%package tests
Summary:        Storage-based death environment for regression tests
License:        GPLv2+

%description tests
This package provides an environment + testscripts for regression-testing sbd.

%prep
%autosetup -n %{name}-%{longcommit} -p1

%build
./autogen.sh
export CFLAGS="$RPM_OPT_FLAGS -Wall -Werror"
%configure \
    --with-watchdog-timeout-default=%{watchdog_timeout_default} \
    --with-sync-resource-startup-default=yes \
    --with-runstatedir=%{_rundir} \
    %{nil}
%make_build

%install
%make_install LIBDIR=%{_libdir} install
rm -rf %{buildroot}%{_libdir}/stonith
install -D -m 0755 tests/regressions.sh %{buildroot}%{_datadir}/sbd/regressions.sh
install -D -m 0644 src/sbd.service %{buildroot}%{_unitdir}/sbd.service
install -D -m 0644 src/sbd_remote.service %{buildroot}%{_unitdir}/sbd_remote.service
install -Dm 644 src/sbd.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/sbd/sbd.sysconfig

find %{buildroot} -name '*.a' -type f -print0 | xargs -0 rm -f
find %{buildroot} -name '*.la' -type f -print0 | xargs -0 rm -f

%post
%systemd_post sbd.service
%systemd_post sbd_remote.service
if [ $1 -ne 1 ] ; then
    if systemctl --quiet is-enabled sbd.service 2>/dev/null
    then
        systemctl --quiet reenable sbd.service 2>/dev/null || :
    fi
    if systemctl --quiet is-enabled sbd_remote.service 2>/dev/null
    then
        systemctl --quiet reenable sbd_remote.service 2>/dev/null || :
    fi
fi

%preun
%systemd_preun sbd.service
%systemd_preun sbd_remote.service

%postun
%systemd_postun sbd.service
%systemd_postun sbd_remote.service

%files
%license COPYING
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/sysconfig/sbd
%doc %{_mandir}/man8/sbd*
%{_sbindir}/sbd
%{_datadir}/sbd
%{_datadir}/pkgconfig/sbd.pc
%{_unitdir}/sbd.service
%{_unitdir}/sbd_remote.service
%exclude %{_datadir}/sbd/regressions.sh

%files tests
%defattr(-,root,root)
%dir %{_datadir}/sbd
%{_datadir}/sbd/regressions.sh
%{_libdir}/libsbdtestbed*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.1-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Feb 24 2023 Shuo Wang <abushwang@tencent.com> - 1.5.1-1
- initial build
